/*
 * Cosmos - an xscreensaver module.
 * Tom Campbell and Jim Tanner Oct 2000 <campbell@mindspring.com>
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose and without fee is hereby granted,
 * provided that the above copyright notice appear in all copies and that
 * both that copyright notice and this permission notice appear in
 * supporting documentation.
 *
 * This file is provided AS IS with no warranties of any kind.  The author
 * shall have no liability with respect to the infringement of copyrights,
 * trade secrets or any patents by this file or any part thereof.  In no
 * event will the author be liable for any lost revenue or profits or
 * other special, indirect and consequential damages.
 *
 * Portions of this software were inspired by the late Seumas MacNally.
 * http://www.gamedev.net/community/memorial/seumas/
 *
 * $Id: cosmoscast.h,v 1.2 2001/02/14 05:32:50 jtanner Exp $
 */

// Forward declaration
class CCast;

#ifndef __cosmoscast__
#define __cosmoscast__

#include "cosmos.h"
#include "actor.h"
#include "script.h"
#include <vector>

// Scripts I know about
#define EXPLODE 0
#define CHASE   1
#define SCRIPTS 2

class CCast {
 public:
	CCast(CCosmos *cosmos,CScript *script);
	void Reset();
	void Reset(CScript *script);
	void Update();
	vector<CActor*> actors;
	CCosmos *cosmos;

	CScript *script;
	int blastcount;
	int count;
	int runlength; // How long should the script run before reseting
};

#endif;
